Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class FormDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
          org.apache.cocoon.forms.formmodel.AbstractContainerDefinition
              org.apache.cocoon.forms.formmodel.FormDefinition

All Implemented Interfaces:
  ContainerDefinition, org.apache.cocoon.util.location.Locatable, WidgetDefinition

public class FormDefinition
extends AbstractContainerDefinition

The `WidgetDefinition` part of a Form widget, see `Form` for more information.

Version:
  $Id: FormDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerDefinition
`definitions`

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`createListener, enclosingLibrary, parent`

Constructor Summary
`FormDefinition(LibraryManager libraryManager)`

Method Summary
`void` | `addProcessingPhaseListener(ProcessingPhaseListener listener)`
`void` | `addWidgetDefinition(WidgetDefinition definition)` Adds a (sub) widget definition to this definition.
`Widget` | `createInstance()` Creates and returns a widget based on this widget definition.
`void` | `fireEvent(ProcessingPhaseEvent event)`
`Library` | `getLocalLibrary()`
`ProcessingPhaseListener` | `getProcessingPhaseListener()`
`boolean` | `hasProcessingPhaseListeners()`
`void` | `resolve()`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractContainerDefinition
`checkCompleteness, createWidget, createWidgets, getWidgetDefinition, getWidgetDefinitions, hasWidget, initializeFrom, resolve`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinition
`addCreateListener, addValidator, checkMutable, fireCreateEvent, generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, getParent, getState, makeImmutable, setAttributes, setDisplayData, setEnclosingLibrary, setId, setLocation, setParent, setState, validate, widgetCreated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.forms.formmodel.WidgetDefinition
`generateDisplayData, generateDisplayData, generateLabel, getAttribute, getEnclosingLibrary, getFormDefinition, getId, getLocation, setEnclosingLibrary, setParent, validate`

Constructor Detail

### FormDefinition

    public FormDefinition(LibraryManager libraryManager)

Method Detail

### getLocalLibrary

    public Library getLocalLibrary()

### resolve

    public void resolve()
                 throws Exception

  Throws:
    `Exception`

### createInstance

    public Widget createInstance()

  Description copied from interface: `WidgetDefinition`
  Creates and returns a widget based on this widget definition.

### addProcessingPhaseListener

    public void addProcessingPhaseListener(ProcessingPhaseListener listener)

### hasProcessingPhaseListeners

    public boolean hasProcessingPhaseListeners()

### fireEvent

    public void fireEvent(ProcessingPhaseEvent event)

### addWidgetDefinition

    public void addWidgetDefinition(WidgetDefinition definition)
                             throws Exception,
                                    DuplicateIdException

  Description copied from interface: `ContainerDefinition`
  Adds a (sub) widget definition to this definition.

  Specified by:
    `addWidgetDefinition` in interface `ContainerDefinition`
  Overrides:
    `addWidgetDefinition` in class `AbstractContainerDefinition`
  Throws:
    `Exception`
    `DuplicateIdException`

### getProcessingPhaseListener

    public ProcessingPhaseListener getProcessingPhaseListener()

  Returns:
    Returns the listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.